<?php
// displays category tab
function wtpsd_category_tabs($atts) {
	global $wpdb;
	
	$quiz_id = @$atts['quiz_id'];
	
	$quiz = $wpdb->get_row($wpdb->prepare("SELECT * FROM ".WATUPRO_EXAMS." WHERE ID=%d", $quiz_id));
	if($quiz->single_page != WATUPRO_PAGINATE_PAGE_PER_CATEGORY) return "";
	if(!empty($quiz->time_limit) and empty($_POST['watupro_start_timer'])) return "";
		
	$_watu = new WatuPRO();
	
	
	$all_question = WTPQuestion::select_all($quiz);
	$advanced_settings = unserialize( stripslashes($quiz->advanced_settings));	
	$cat_ids = array(0);
	foreach($all_question as $q) {
		if(!in_array($q->cat_id, $cat_ids)) $cat_ids[] = $q->cat_id;
	}	
	
	// now select cats
	$cats=array();
	foreach($all_question as $question) {
		if(empty($question->cat)) $question->cat = __('Uncategorized', 'watupro');
		if(!in_array($question->cat, $cats)) $cats[]=$question->cat;
	}   
	
	// sort them		
	$cats = WTPCategory :: sort_cats($cats, $advanced_settings, $quiz);
	
	$content = '<style type="text/css">
	.wtpsd-category-tabs td {
		background-color: #EEE;		
		cursor: pointer;
	}
	.wtpsd-category-tabs td.pressed {
		background-color: #AAA;
		color: white;
	}
	</style>
	<table class="wtpsd-category-tabs"><tr>';
	// output the tabs	
	foreach($cats as $cnt=>$cat) {
		$cls = ($cnt == 0) ? 'pressed' : 'not-pressed';
		$page = $cnt + 1;
		$content .= '<td class="'.$cls.'" onclick="wtpsdChangeCategory('.$page.', this);">'.$cat.'</td>';
	}
	
	$content .= '</tr></table>';
	
	wp_enqueue_script(
			'wtpsd-tabs',
			WTPSD_URL."js/tabs.js",
			array('jquery'),
			'1.11.1');
	
	return $content;
}