jQuery(function() {
	jQuery('.watupro-question-choice').click(function() {
		var inputs = jQuery(this).find('input').css('class', 'answer');
		par = jQuery(this).closest('div.question-choices');		
		var divs = jQuery(par).find('.watupro-question-choice');
		
		var currentInput = inputs[0];
		if(currentInput.type == 'radio') {
			if(WatuPRO.wtpsd_display_result) {
				// need to see if there is any checked, if there is, it can't be changed
				var anyChecked = false;
				jQuery(divs).each(function(i){			
					if(jQuery(divs[i]).hasClass('wtpsd-checked')) anyChecked = true;
				});
				
				if(anyChecked) return false;
			}	// end checking if result was shown		
			
			jQuery(divs).each(function(i){
				jQuery(divs[i]).removeClass('wtpsd-checked');
			});
			currentInput.checked = true;
			jQuery(this).addClass('wtpsd-checked');			
			wtpsdDisplayResult(currentInput);
			
			
		} 
		else {
			var classList = currentInput.className.split(/\s+/);
			
			// check for max selections
			if(!currentInput.checked) {
				for(i=0; i< classList.length; i++) {
					if(classList[i].indexOf('watupro_max_selections-') != -1) {
						var parts = classList[i].split('-');
						var maxSel = parts[1];
						
						// how many we have now?				
						var children = jQuery(currentInput).closest('.question-choices ').find(':checked');
						if(children.length >= maxSel) return false;
					}
				}	
			} // end checking for max selections	
			
			// unchecking cannot be done if result is displayed
			if(WatuPRO.wtpsd_display_result && currentInput.checked) return false;
			currentInput.checked = !currentInput.checked;
			if(currentInput.checked) jQuery(this).addClass('wtpsd-checked');			
			else jQuery(this).removeClass('wtpsd-checked');
			wtpsdDisplayResult(currentInput);			
		}
	});	
	
	jQuery('.watupro-question-choice > input:checked').each(function(){
		var par = jQuery(this).parent();		
		jQuery(par).addClass('wtpsd-checked');			
	});
});

function wtpsdDisplayResult(input) {
	if(!WatuPRO.wtpsd_display_result) return false;
	if(!input.checked) return false;
	
	// get value and answer ID
	var val = input.value;
	var answerID = input.id.split('-')[2];
	var par = jQuery(input).parent();	
	
	var data = {'action': 'wtpsd_get_result', 'answer_id': answerID, 'value' : val};
	jQuery.post(WatuPRO.siteURL, data, function(msg){
		if(msg.indexOf('|') != -1) {
			parts = msg.split('|');
			msg = parts[0];
			var correctID = parts[1];			
			// mark the correct one
			correctAnswerID = 'answer-id-' + correctID;
			
			var correctPar = jQuery('#'+correctAnswerID).parent();
			jQuery(correctPar).addClass('wtpsd-correct');
		}	
		
		if(msg == 'SURVEY') return true;	
		
		if(msg == '1') jQuery(par).addClass('wtpsd-correct');
		else jQuery(par).addClass('wtpsd-wrong');
	});
}